#
# spec file for package sh-utils (Version 2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf gettext
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         sh-utils
Copyright:    GPL
Group:        System Environment/Shells  
Provides:     shellutl 
Obsoletes:    sh_utils 
Autoreqprov:  on
Version:      2.0
Release:      120
Summary:      GNU shellutils
Source:       sh-utils-%{version}.tar.bz2
Source1:      su.pamd
Source2:      sh-utils-%{version}-ja.po
Source3:      sh-utils-%{version}-ko.po
Source4: http://www.iro.umontreal.ca:80/contrib/po/teams/PO/de/sh-utils-%{version}.de.po
Patch:        sh-utils-%{version}.dif
Patch1:       sh-utils-de.dif
BuildRoot:    /tmp/buildroot-%{name}

%description
The programs in this package include:
basename chroot date dirname echo env expr false groups id logname nice
nohup pathchk pinky printenv printf pwd sleep stty su tee test true tty
uname who whoami yes

Authors:
--------
    David J. MacKenzie <djm@gnu.ai.mit.edu>
    Jim Meyering <meyering@ascend.com>

SuSE series: a

%prep
%setup
%patch
cp -f %SOURCE2 po/ja.po
cp -f %SOURCE3 po/ko.po
cp -f %SOURCE4 po/de.po
%patch -P 1 -p 1

%build
CFLAGS="-DUSE_PAM $RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir}
make PAMLIBS="-ldl -lpam"
make check

%install
make DESTDIR="$RPM_BUILD_ROOT" install-strip
test -f $RPM_BUILD_ROOT/usr/bin/su || \
  install -s src/su $RPM_BUILD_ROOT/usr/bin/su
mkdir -p $RPM_BUILD_ROOT/bin
for f in basename date echo false pwd stty sleep su true uname; do \
	mv $RPM_BUILD_ROOT/usr/bin/$f $RPM_BUILD_ROOT/bin/$f; \
done
ln -sf test $RPM_BUILD_ROOT/usr/bin/[
ln -sf ../../bin/basename $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
install -m 644 $RPM_SOURCE_DIR/su.pamd $RPM_BUILD_ROOT/etc/pam.d/su
install -m 644 man/seq.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config /etc/pam.d/su
/bin/basename
/bin/date
/bin/echo
/bin/false
/bin/pwd
/bin/sleep
/bin/stty
%attr(4755,root,root) /bin/su
/bin/true
/bin/uname
/usr/bin/[
/usr/bin/basename
/usr/bin/chroot
/usr/bin/dirname
/usr/bin/env
/usr/bin/expr
/usr/bin/factor
/usr/bin/groups
/usr/bin/id
/usr/bin/logname
/usr/bin/nice
/usr/bin/nohup
/usr/bin/pathchk
/usr/bin/pinky
/usr/bin/printenv
/usr/bin/printf
/usr/bin/seq
/usr/bin/tee
/usr/bin/test
/usr/bin/tty
/usr/bin/users
/usr/bin/who
/usr/bin/whoami
/usr/bin/yes
%doc %{_infodir}/sh-utils.info.gz
/usr/share/locale/*/LC_MESSAGES/sh-utils.mo
%doc %{_mandir}/man1/basename.1.gz
%doc %{_mandir}/man1/chroot.1.gz
%doc %{_mandir}/man1/date.1.gz
%doc %{_mandir}/man1/dirname.1.gz
%doc %{_mandir}/man1/echo.1.gz
%doc %{_mandir}/man1/env.1.gz
%doc %{_mandir}/man1/expr.1.gz
%doc %{_mandir}/man1/false.1.gz
%doc %{_mandir}/man1/groups.1.gz
%doc %{_mandir}/man1/id.1.gz
%doc %{_mandir}/man1/logname.1.gz
%doc %{_mandir}/man1/nice.1.gz
%doc %{_mandir}/man1/nohup.1.gz
%doc %{_mandir}/man1/pathchk.1.gz
%doc %{_mandir}/man1/pinky.1.gz
%doc %{_mandir}/man1/printenv.1.gz
%doc %{_mandir}/man1/printf.1.gz
%doc %{_mandir}/man1/pwd.1.gz
%doc %{_mandir}/man1/seq.1.gz
%doc %{_mandir}/man1/sleep.1.gz
%doc %{_mandir}/man1/stty.1.gz
%doc %{_mandir}/man1/su.1.gz
%doc %{_mandir}/man1/tee.1.gz
%doc %{_mandir}/man1/test.1.gz
%doc %{_mandir}/man1/true.1.gz
%doc %{_mandir}/man1/tty.1.gz
%doc %{_mandir}/man1/uname.1.gz
%doc %{_mandir}/man1/users.1.gz
%doc %{_mandir}/man1/who.1.gz
%doc %{_mandir}/man1/whoami.1.gz
%doc %{_mandir}/man1/yes.1.gz

%changelog -n sh-utils
* Wed Aug 29 2001 - schwab@suse.de
- Fix invalid use of uninitialized variable.
* Thu May 24 2001 - kukuk@suse.de
- Don't specify path to PAM modules (will not work on architectures
  with 32 and 64bit userland).
* Sat May 12 2001 - ke@suse.de
- Update German message catalog.
- Fix a message of the German message catalog according to Reinhard
  Max' proposal [#7765].
* Mon Apr 16 2001 - violiet@suse.de
- fixed Korean message file. (Thank for Andreas Schwab)
* Thu Apr 12 2001 - schwab@suse.de
- Disable broken Korean message file.
- Properly integrate the Japanese message file.
* Sat Feb 03 2001 - violiet@suse.de
- added Japanese and Korean message file.
* Wed Jan 03 2001 - bjacke@suse.de
- added Debian's man page for seq. Thanks to them !
- bzipped sources
* Thu Nov 23 2000 - kukuk@suse.de
- Enable logging for su again
* Tue Oct 24 2000 - schwab@suse.de
- Renamed from sh_utils.
* Fri Sep 08 2000 - kukuk@suse.de
- Set PAM_RUSER and TTY for PAM modules
* Sat Jul 15 2000 - kukuk@suse.de
- Comment out pam_homecheck
* Mon Jun 26 2000 - schwab@suse.de
- Properly pass exit code back to parent (#3007).
* Mon May 15 2000 - schwab@suse.de
- Switch to BuildRoot.
- Move /usr/bin/basename to /bin.
* Fri May 05 2000 - kukuk@suse.de
- Update su.pamd
* Thu Apr 13 2000 - schwab@suse.de
- Add link /usr/bin/[ -> test.
* Fri Feb 11 2000 - schwab@suse.de
- who: always print host name (#1861)
* Mon Jan 17 2000 - schwab@suse.de
- /usr/{info,man} -> /usr/share/{info,man}
* Mon Nov 22 1999 - schwab@suse.de
- Define USE_PAM again for su.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 08 1999 - schwab@suse.de
- add missing $(DESTDIR)
- mark "nice" test as unresolved if running niced
* Wed Sep 08 1999 - schwab@suse.de
- support $RPM_BUILD_ROOT
- run "make check"
* Wed Aug 25 1999 - schwab@suse.de
- update to sh-utils-2.0
* Fri Aug 13 1999 - ro@suse.de
- added a "sleep 5" in specfile to make configure sanity test succeed
* Wed Jul 07 1999 - kukuk@suse.de
- su reads FAIL_DELAY from /etc/login.defs and waits that time
  if it failed
* Tue Jun 29 1999 - kukuk@suse.de
- Remove old expr and make expr.new default
* Fri Jun 18 1999 - kukuk@suse.de
- Add nullok to su.pamd
* Mon Jun 07 1999 - kukuk@suse.de
- Add PAM support for su
* Mon Mar 15 1999 - ro@suse.de
- sh-utils-1.12: don't redefine strftime function for glibc
* Wed Nov 04 1998 - ro@suse.de
- for 1.12: use glibc's basename
* Fri Aug 28 1998 - ro@suse.de
- added changes from jurix-mirror for 1.16 (debian-fixes)
* Thu Oct 09 1997 - ro@suse.de
- ready for autobuild
  expr is taken from 1.12 (new one as expr.new)
* Sat Apr 26 1997 - florian@suse.de
- add bug-fixes from gnu.utils.bugs
* Sun Apr 13 1997 - florian@suse.de
- update to new version 1.16
* Thu Jan 02 1997 - florian@suse.de
  fix bug with regular expressions
